#!/bin/bash
set -eu

base="/tmp/eembc.exe"

userat=
userl=
command=$base
case $1 in
  --root)
    userat=root@
    userl="-l root"
    command="nice -20 $command"
    shift
    ;;
esac

if test $# -lt 2; then
  echo >&2 "Usage: $0 [--root] <board> <command>"
  exit 1
fi

board=$1; shift
exe=$1; shift

scp -C "$exe" "$userat$board:$base"
exec ssh ${board} $userl "$command"
